#include <stdlib.h>
#include <unistd.h>
#include <stdio.h>
#include <string.h>
#include <sys/wait.h>

int main() {
	int pd[2];
	pipe(pd);

	pid_t pid = fork();

	if (pid < 0) {
		perror("figlio morto esploso.");
		return 1;
	}
	if (pid == 0) { // figlio
		close(pd[0]);
		write(pd[1], "hgkaasasdasdasd", sizeof("hgkaasasdasdasd"));
		//return 0;
		exit(0);
	}
	if (pid > 0) { // padre
		close(pd[1]);
		wait(NULL);

		char messaggio[100];
		read(pd[0], messaggio, sizeof(messaggio));
		printf("%s", messaggio);
	}

	return 0;
}
